## org.apache.lucene.search.vectorhighlight
Class FieldPhraseList

    java.lang.Object
      org.apache.lucene.search.vectorhighlight.FieldPhraseList

    public class FieldPhraseList

extends java.lang.Object

FieldPhraseList has a list of WeightedPhraseInfo that is used by FragListBuilder to create a FieldFragList object.

Nested Class Summary
`static class` `FieldPhraseList.WeightedPhraseInfo`

Constructor Summary
`FieldPhraseList(FieldTermStack fieldTermStack, FieldQuery fieldQuery)` a constructor.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FieldPhraseList

    public FieldPhraseList(FieldTermStack fieldTermStack,
                           FieldQuery fieldQuery)

  a constructor.

  Parameters:
    `fieldTermStack` - FieldTermStack object
    `fieldQuery` - FieldQuery object

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.